## org.omg.CORBA
Class DataOutputStreamHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DataOutputStreamHelper

public class DataOutputStreamHelper
extends java.lang.Object

Helper class for : DataOutputStream

Author:
  OpenORB Compiler

Constructor Summary
`DataOutputStreamHelper()`

Method Summary
`static DataOutputStream` `extract(Any a)` Extract DataOutputStream from an any
`static java.lang.String` `id()` Return the DataOutputStream IDL ID
`static void` `insert(Any a, DataOutputStream t)` Insert DataOutputStream into an any
`static DataOutputStream` `read(InputStream istream)` Read DataOutputStream from a marshalled stream
`static TypeCode` `type()` Return the DataOutputStream TypeCode
`static void` `write(OutputStream ostream, DataOutputStream value)` Write DataOutputStream into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataOutputStreamHelper

    public DataOutputStreamHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DataOutputStream t)

  Insert DataOutputStream into an any
  Parameters:
    `a` - an any
    `t` - DataOutputStream value

### extract

    public static DataOutputStream extract(Any a)

  Extract DataOutputStream from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DataOutputStream value

### type

    public static TypeCode type()

  Return the DataOutputStream TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DataOutputStream IDL ID
  Returns:
    an ID

### read

    public static DataOutputStream read(InputStream istream)

  Read DataOutputStream from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DataOutputStream value

### write

    public static void write(OutputStream ostream,
                             DataOutputStream value)

  Write DataOutputStream into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DataOutputStream value